<?php
declare (strict_types = 1);

namespace app\admin\controller\v1;

use app\admin\model\v1\CountryModel;

/**
 * 国家列表控制器
 */
class Country
{
    // 获取国家列表
    public function list()
    {
        $country = CountryModel::field([
                'id',
                'name',
                'en_name',
            ])
            ->withSearch(['name'], [
                'name' => request()->param('name') ?? null
            ])
            ->order(['sort' => 'asc', 'id' => 'asc'])
            ->select();

        return success('获取成功', $country);
    }
}
